<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo List</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <!-- Bootstrap Icons https://icons.getbootstrap.com/icons -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <link href="./css/drag_drop.css" rel="stylesheet">
    <link href="./css/custom.css" rel="stylesheet">
</head>
<body class="container">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <span class="navbar-brand mb-0 h1">Todo List</span>
        
        
            <div class="d-flex">
                <input id="search_input" placeholder="Search..." class="form-control me-2" type="text">
                <button id="btn_filter" class="btn btn-success me-2">Filter</button>
                <button id="btn_add" class="btn btn-primary">Add</button>
            </div>
        </div>
    </nav>
       
    <table id="todo_table" class="table draggable-table">
        <thead class="thead-dark">
            <th>Completed</th>
            <th>Title</th>
            <th class="text-end">Actions</th>
        </thead>
        <tbody id="table-data">
           
        </tbody>
        <tfoot>
            <tr>
                <td>Quantity of Items</td>
                <td></td>
                <td id="items_count" class="text-end"></td>
            </tr>
        </tfoot>
    </table>
    <script src="./js/settings.js"></script>
    <script type="module" src="./js/render.js"></script>
    <script type="module" src="./js/list.js"></script>
    <script src="./js/drag_drop.js"></script>
    <script type="module" src="./js/add.js"></script>
    <script src="./js/delete.js"></script>
    <script src="./js/update.js"></script>
    <script type="module" src="./js/filter.js"></script>
</body>
</html>